

body {
    font-family: Arial, Helvetica, sans-serif;
}

a {
    text-decoration: none;
}

ul li{
    margin-bottom:10px;
}

input[type="radio"] {
    margin: 0 10px;
}

form {
    background: #fff;
    padding: 0.5em 1em 2.5em 2em;
    border-radius: 5px;
}

textarea {
    background: #f4f4f4;
    width: 98%;
    height: 100px;
    font-size: 15px;
    border-radius: 5px;
    border: 1px solid #c5c6c7;
}

.posttestQ {
    background: #f4f4f4;
    border-radius: 5px;
    border: 1px solid #c5c6c7;
    margin: 0 0 0 5px;
}

.button-group {
    margin: 20px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.big-button, .big-button:disabled, .big-button:disabled:hover {
    background-color: #116466;
    font-size: 20px;
    padding: 10px 30px;
	color: #fff;
    border-radius: 10px;
    border: 0px;
    margin: 10px;
}
.big-button:disabled, .big-button:disabled:hover {
    opacity: 0.5;
    cursor: not-allowed;
}
.big-button:hover {
    background-color: #45a29e;
    color: #fff;
}

.inline-button {
    display: inline-block;
    pointer-events: none;
    background-color: #116466;
    font-size: 15px;
    padding: 5px 15px;
	color: #fff;
    border-radius: 10px;
    border: 0px;
    margin: 0px 3px;
}

.pass-text, .retry-text {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 50px;
    font-size: 50px;
    font-weight: bold;
    color: #fff;
}

.task-button-group {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    align-content: center;
}

.task-button {
    background-color: #f4976c;
    font-size: 25px;
    padding: 10px 50px;
	color: #fff;
    border-radius: 10px;
    margin: 0px 5px;
    border: 1px solid #75a860;
}

.task-button:hover {
    background-color: #bf7654;
    color: #fff;
}

.light-page, .dark-page {
    margin: 0;
    padding: 4em 15%;
}
.light-page {
    background-color: #f4f4f4;
    color: #4c4c4c;
}
.dark-page {
    background-color: #0b0c10;
    color: #c5c6c7;
}

.light-page h1 {
    color: #000
}

.frame {
    padding: 5px 20px;
    border-radius: 5px;
    background-color: #fff;
    margin-top: 20px;
    font-size: 18px;
    min-height: 300px;
}

.instruction {
    background-color: #747474;
    border-radius: 5px;
    border: 1px solid black;
    margin-top: 20px;
    padding: 5px 20px;
    font-size: 18px;
    color: #000;
}

.task-frame {
    background-color: #000;
    border-radius: 5px;
    padding: 1px 20px;
    font-size: 18px;
    /* display: flex; */
    /* flex-direction: row; */
}

/* .learning {
    margin-top: 50px;
}

.generalization {
    display: none;
    margin-top: 50px;
}

.learning h2, .generalization h2 {
    color: #747474;
} */

.box-gt, .box-lt, .box-task, .box-panel, .selection-panel {
    background-color: #1A1A1D;
}

.box-lt, .box-gt {
    margin: 30px 0 20px 0;
    height: 200px;
    display: flex;
    flex-direction: row;
    align-items: center;
    border-radius: 5px;
}
.box-lt {
    justify-content: space-evenly;
}
.box-mem {
    height: 90%;
    width: 45%;
    border: 3px dashed #4c4c4c;
    border-radius: 5px;
    padding: 0 12px;
}
#membox-before {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
}
#membox-after {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.box-gt {
    align-items: center;
    position: relative;
}
.box-task {
    position: absolute;
    height: 90%;
    width: 60%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
}

.box-panel {
    position: absolute;
    left: 63%;
    height: 90%;
    width: 35%;
    border-left: 3px dashed #4c4c4c;
    display: flex;
    justify-content: center;
    align-items: center;
}

.selection-panel {
    border: 3px dashed #4c4c4c;
    padding: 5px;
}

.selection-panel td:hover {
    border: 4px solid #4c4c4c;
}

.magic-stone {
    width: 60px;
    height: 60px;
    background-color: rgb(245, 230, 99);
    border: 10px solid rgba(136, 136, 136, .5);
    border-radius: 50%;
    margin: 0 auto;
}

.normal-stone {
    width: 60px;
    height: 60px;
    background-color: rgb(245, 230, 99);
    border-radius: 50%;
    margin: 0 auto;
}

.stone-rc {
    width: 60px;
    height: 60px;
    background-color: rgb(255, 102, 102);
    border-radius: 50%;
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-yc {
    width: 60px;
    height: 60px;
    background-color: rgb(245, 230, 99);
    border-radius: 50%;
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-bc {
    width: 60px;
    height: 60px;
    background-color: rgb(61, 60, 134);
    border-radius: 50%;
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-rs {
    width: 60px;
    height: 60px;
    background-color: rgb(255, 102, 102);
    border-radius: 10%;
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-ys {
    width: 60px;
    height: 60px;
    background-color: rgb(245, 230, 99);
    border-radius: 10%;
    margin: 5px;
    transition: all 1s;
    position: relative;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-bs {
    width: 60px;
    height: 60px;
    background-color: rgb(61, 60, 134);
    border-radius: 10%;
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-rd {
    width: 60px;
    height: 60px;
    background-color: rgb(255, 102, 102);
    border-radius: 10%;
    transform: rotate(45deg) scale(0.8);
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-yd {
    width: 60px;
    height: 60px;
    background-color: rgb(245, 230, 99);
    border-radius: 10%;
    transform: rotate(45deg) scale(0.8);
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.stone-bd {
    width: 60px;
    height: 60px;
    background-color: rgb(61, 60, 134);
    border-radius: 10%;
    transform: rotate(45deg) scale(0.8);
    margin: 5px;
    transition: all 1s cubic-bezier(0, 0, 1, 1);
    position: relative;
    left: 0;
}

.panel-stone-0-0 {
    width: 30px;
    height: 30px;
    background-color: rgb(255, 102, 102);
    border-radius: 50%;
    margin: 5px;
}

.panel-stone-0-1 {
    width: 30px;
    height: 30px;
    background-color: rgb(245, 230, 99);
    border-radius: 50%;
    margin: 5px;
}

.panel-stone-0-2 {
    width: 30px;
    height: 30px;
    background-color: rgb(61, 60, 134);
    border-radius: 50%;
    margin: 5px;
}

.panel-stone-1-0 {
    width: 30px;
    height: 30px;
    background-color: rgb(255, 102, 102);
    border-radius: 10%;
    margin: 5px;
}

.panel-stone-1-1 {
    width: 30px;
    height: 30px;
    background-color: rgb(245, 230, 99);
    border-radius: 10%;
    margin: 5px;
}

.panel-stone-1-2 {
    width: 30px;
    height: 30px;
    background-color: rgb(61, 60, 134);
    border-radius: 10%;
    margin: 5px;
}

.panel-stone-2-0 {
    width: 30px;
    height: 30px;
    background-color: rgb(255, 102, 102);
    border-radius: 10%;
    transform: rotate(45deg) scale(0.8);
    margin: 5px;
}

.panel-stone-2-1 {
    width: 30px;
    height: 30px;
    background-color: rgb(245, 230, 99);
    border-radius: 10%;
    transform: rotate(45deg) scale(0.8);
    margin: 5px;
}

.panel-stone-2-2 {
    width: 30px;
    height: 30px;
    background-color: rgb(61, 60, 134);
    border-radius: 10%;
    transform: rotate(45deg) scale(0.8);
    margin: 5px;
}

#stone1 {
    background-color: rgb(61, 60, 134);
}

.text-input {
    width: 100%;
    height: 200px;
    margin: 5px 0 5px 0;
    padding: 5px 8px;
    font-size: 20px;
    box-sizing: border-box;
    text-align: top;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 5px;
}
  ::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .5);
    -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}

#consent-info {
    height: 450px;
    overflow-y: scroll;
    padding: 0 0 20px 0;
}
